//
//  ParseFunTableViewController.swift
//  Parse Fun
//
//  Created by Amolak Nagi on 11/15/15.
//  Copyright © 2015 Amolak Nagi. All rights reserved.
//

import UIKit
import Parse

class ParseFunTableViewController: UITableViewController {

    //This will be an array of information collected from Parse
    //to be used as TableViewDataSource
    var parseInformation = [String]()
    var userTextField : UITextField?
    
    
    
    //Initialize ViewController Here
    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        
    }
    
    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(animated)
        
        self.updateTable()
    }

    
    /* TO BE DONE BY STUDENTS
     * Write a function that takes in the string given from the UIAlert
     * and pushes it to our Parse database
     * Class: "StudentInput"
     * Key: "stuff"
     *
     * The user's input is provided to you in a variable called userTextField
     */
    func pushTextToParse()
    {
        
    }
    
    
    
    
    /* TO BE DONE BY STUDENTS
     * Write a function that performs a Query from our database to
     * get a list of everything in the table. Then, put that information
     * in the array variable called parseInformation
     *
     * When you have updated the array, call self.tableView.reloadData(()
     */
    func updateTable()
    {
        
    }

    
    
    
    
    
    
    @IBAction func userPressedRefresh(sender: AnyObject)
    {
        self.updateTable()
    }
    
    
    @IBAction func userWantsToAdd(sender: AnyObject)
    {
        //Create an alert to popup when button is pressed
        let alertController = UIAlertController(title: "Add Cell",
                                                message: "What would you like to add?",
                                                preferredStyle: .Alert)
        
        
        //Add a textField in the alertController
        alertController.addTextFieldWithConfigurationHandler
        {
            (textField) in
        
            textField.placeholder = "Random Stuff"
            self.userTextField = textField
        }
        
        
        //Add a button to allow user to add text from textField
        let addButton = UIAlertAction(title: "Add", style: .Default)
        {
            (action) in
            
            self.pushTextToParse()
            
            self.updateTable()
            print(action)
        }
        
        alertController.addAction(addButton)
        
        
        //Add a button to allow user to cancel putting anything in the table
        let cancelButton = UIAlertAction(title: "Cancel", style: .Destructive)
        {
            (action) in
            
            print(action)
        }
        
        alertController.addAction(cancelButton)
        
        
        //Present the alert
        self.presentViewController(alertController, animated: true, completion: nil)
    }
    
    
    
    
    
    
    
    
    
    // Table View Methods
    
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int
    {
        return 1
    }
    
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int
    {
        return self.parseInformation.count
    }
    
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell
    {
        //Create a new tableViewCell
        let cell = UITableViewCell.init(style: .Default, reuseIdentifier: "Doesn't Matter")
        
        //Get the string from the parseInformation array
        let thisParseInfo = self.parseInformation[indexPath.row]
        
        //Adjust the text of the cell to match thisParseInfo
        (cell.textLabel)!.text = thisParseInfo as String
        
        return cell
    }
    
    

    


}
